<?php


namespace hitb\core\user;
use hitb\core\model\User;


/**
 * Default implementation of {@link UserService}.
 *
 * @package hitb\core\user
 */
class DefaultUserService implements UserService
{
    /**
     * Retrieves a user by the given uid.
     *
     * @param $uid
     * @return mixed
     */
    function get($uid)
    {
        return User::findFirstByUid($uid);
    }

    /**
     * Retrieves a list of standard users.
     *
     * @return mixed
     */
    function getStandardUsers()
    {
        return User::find(array(
            "guest = 0"
        ));
    }

    /**
     * Saves the given user.
     *
     * @param $user
     * @return User the saved model
     * @throws \Exception
     */
    function save(User $user)
    {
        if ($user->save() == false) {
            $errors = $user->getMessages();
            throw new \Exception($errors[0]);
        }

        return $user;
    }
}