<?php


namespace hitb\core\user;
use hitb\core\model\User;

/**
 * Interface for a service that loads users.
 */
interface UserService
{
    /**
     * Retrieves a user by the given uid.
     *
     * @param $uid
     * @return mixed
     */
    function get($uid);

    /**
     * Retrieves a list of standard users.
     *
     * @return mixed
     */
    function getStandardUsers();

    /**
     * Saves the given user.
     *
     * @param $user
     * @return User the saved model
     * @throws \Exception
     */
    function save(User $user);
}