<?php


namespace hitb\facades\recipe;
use hitb\util\converter\Converters;

/**
 * Default implementation of {@link RecipeFacade}.
 */
class DefaultRecipeFacade implements RecipeFacade
{
    private $recipeService;
    private $recipeConverter;

    /**
     * Retrieves all recipes, if any.
     *
     * @return a list of recipes
     */
    public function getRecipes()
    {
        $recipes = $this->getRecipeService()->getRecipes();

        return Converters::convertAll($recipes, $this->getRecipeConverter());
    }

    /**
     * @return mixed
     */
    public function getRecipeService()
    {
        return $this->recipeService;
    }

    /**
     * @param mixed $recipeService
     */
    public function setRecipeService($recipeService)
    {
        $this->recipeService = $recipeService;
    }

    /**
     * @return mixed
     */
    public function getRecipeConverter()
    {
        return $this->recipeConverter;
    }

    /**
     * @param mixed $recipeConverter
     */
    public function setRecipeConverter($recipeConverter)
    {
        $this->recipeConverter = $recipeConverter;
    }


}