<?php

namespace hitb\facades\user\converter;


use hitb\core\model\User;
use hitb\util\converter\AbstractConverter;
use hitb\util\converter\ConversionException;
use hitb\util\converter\the;

class ReverseUserConverter extends AbstractConverter
{
    /**
     * Converts the source object by filling the existing target instance.
     *
     * @param $source the source object
     * @param $target the target object
     * @return the converted object
     * @throws ConversionException if a conversion error occurs
     */
    function convertExisting($source, $target)
    {
        if ($source->getUid() != null)
            $target->setUid($source->getUid());

        if ($source->getLevel() != null)
            $target->setLevel($source->getLevel());

        if ($source->getReset() != null)
            $target->setReset($source->getReset());

        if ($source->getRestaurant() != null)
            $target->setRestaurant($source->getRestaurant());

        return $target;
    }

    public function createTarget()
    {
        $user = new User();
        $user->setGuest(0);
        return $user;
    }
}