<?php

namespace hitb\storefront\controllers;

use Phalcon\Mvc\View;

/**
 * Provides controlled access to static resources
 */
class MediaController extends AbstractController
{
	/**
	 * Define this controller as publicly accessible.
	 *
	 */
	protected function isPublic() {
		return true;
	}

	/**
	 * Handle static resource requests.
	 */
	public function viewAction($file)
	{
		$file = basename($file);

		// Only allow css files
		$ext = pathinfo($file, PATHINFO_EXTENSION);

		if ($ext != "css") {
			header("Location: /media/unauthorized");
		}

		try {
			echo "/*\nRetrieved at " . date('d-m-Y H:i:s') . "\n*/\n";

			$fp = $this->getResourceService()->getResourceHandle("../app/storefront/resources/" . $file);
			$this->view->setRenderLevel(View::LEVEL_NO_RENDER);
			$this->response->setHeader("Content-Type", "text/css");
			
			fpassthru($fp);

		} catch (\Exception $e) {
			echo $e->getMessage();
		}
	}

	public function unauthorizedAction() {
		echo "Unauthorized";
	}

	public function getResourceService() {
		return $this->di->get('resourceService');
	}

}

