<!DOCTYPE html>
<html>
<head>
	<title>{% block title -%}{% endblock %} - Jamie Oliver Chefs System</title>
	<link href='https://fonts.googleapis.com/css?family=Open+Sans:400,600,700' rel='stylesheet' type='text/css'>
	<link href="/media/view/style.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<header>
	<div id="top"></div>
</header>
<div id="wrapper">
	<div id="header">
	Jamie's Chef System
	</div>
	<nav>
		<div class="ctop">
			<div class="left">Navigation</div>
			<div class="right">&#x25C0;</div>
		</div>
		<ul>
			<li><a href="/" title="Overview">Overview</a></li>
			<li><a href="/recipe" title="Recipes">Recipes</a></li>
			<li>Employees
				<ul>
					<li><a href="/user/list" title="Overview">Overview</a></li>
					{% if user.getLevel() >= 4 %}
					<li><a href="/user/add" title="Guest Access">Guest Access</a></li>
					<li><a href="/user/reset" title="Reset Account">Reset Account</a></li>
					{% endif %}
				</ul>
			</li>
			{% if user.getGuest() == 1 %}
			<li><a href="/user/update" title="Update Profile">Update Profile</a></li>
			{% endif %}
			<li><a href="/logout" title="Logout">Logout</a></li>
		</ul>
	</nav>
	<div id="content">
		<div class="ctop">
			<div class="left">{% block heading %}{% endblock %}</div>
			<div class="right">&#x25B2;</div>
		</div>
		<div class="midcontent">
		{% block content %}{% endblock %}
		</div>
	</div>
	<footer>
	Welcome back <b>{{ user.getUid()|e }}</b>. Your access level is <b>{{ user.getLevel()|e }}</b>.
	</footer>
</div>
</body>
</html>
